OpenEL 3.0.0

Public Attributes | List of all members
elSensorLegoNxt Struct Reference

`#include <openEL_NXT.h>`

## Public Attributes
ELInt32(* | pFncSensorInit )(ELUInt32 portid)
ELInt32(* | pFncGyroGetValue )(ELUInt32 portid, ELUInt16 *pValue)
ELInt32(* | pFncGyroGetOffset )(ELUInt32 portid, ELUInt16 *pValue)
ELInt32(* | pFncGyroSetOffset )(ELUInt32 portid, ELUInt16 offset)
ELInt32(* | pFncLightGetValue )(ELUInt32 portid, ELUInt16 *pValue)
ELInt32(* | pFncLightGetLED )(ELUInt32 portid, ELBool *pStatus)
ELInt32(* | pFncLightSetLED )(ELUInt32 portid, ELBool light)
ELInt32(* | pFncTouchGetState )(ELUInt32 portid, ELBool *pStatus)
ELInt32(* | pFncSonarInitialize )(ELUInt32 portid)
ELInt32(* | pFncSonarTerminate )(ELUInt32 portid)
ELInt32(* | pFncSonarGetValue )(ELUInt32 portid, ELInt32 *pValue)

## Detailed Description

Definition at line 73 of file openEL_NXT.h.

## Member Data Documentation

## ◆ pFncGyroGetOffset

ELInt32(* elSensorLegoNxt::pFncGyroGetOffset) (ELUInt32 portid, ELUInt16 *pValue)

Definition at line 76 of file openEL_NXT.h.

## ◆ pFncGyroGetValue

ELInt32(* elSensorLegoNxt::pFncGyroGetValue) (ELUInt32 portid, ELUInt16 *pValue)

Definition at line 75 of file openEL_NXT.h.

## ◆ pFncGyroSetOffset

ELInt32(* elSensorLegoNxt::pFncGyroSetOffset) (ELUInt32 portid, ELUInt16 offset)

Definition at line 77 of file openEL_NXT.h.

## ◆ pFncLightGetLED

ELInt32(* elSensorLegoNxt::pFncLightGetLED) (ELUInt32 portid, ELBool *pStatus)

Definition at line 79 of file openEL_NXT.h.

## ◆ pFncLightGetValue

ELInt32(* elSensorLegoNxt::pFncLightGetValue) (ELUInt32 portid, ELUInt16 *pValue)

Definition at line 78 of file openEL_NXT.h.

## ◆ pFncLightSetLED

ELInt32(* elSensorLegoNxt::pFncLightSetLED) (ELUInt32 portid, ELBool light)

Definition at line 80 of file openEL_NXT.h.

## ◆ pFncSensorInit

ELInt32(* elSensorLegoNxt::pFncSensorInit) (ELUInt32 portid)

Definition at line 74 of file openEL_NXT.h.

## ◆ pFncSonarGetValue

ELInt32(* elSensorLegoNxt::pFncSonarGetValue) (ELUInt32 portid, ELInt32 *pValue)

Definition at line 84 of file openEL_NXT.h.

## ◆ pFncSonarInitialize

ELInt32(* elSensorLegoNxt::pFncSonarInitialize) (ELUInt32 portid)

Definition at line 82 of file openEL_NXT.h.

## ◆ pFncSonarTerminate

ELInt32(* elSensorLegoNxt::pFncSonarTerminate) (ELUInt32 portid)

Definition at line 83 of file openEL_NXT.h.

## ◆ pFncTouchGetState

ELInt32(* elSensorLegoNxt::pFncTouchGetState) (ELUInt32 portid, ELBool *pStatus)

Definition at line 81 of file openEL_NXT.h.

The documentation for this struct was generated from the following file:

- /Users/nakamura/openel/OpenEL-3.0.0/include/openEL_NXT.h